org.apache.poi.ss.usermodel

## Enum Row.MissingCellPolicy

- java.lang.Object
- - java.lang.Enum<Row.MissingCellPolicy>
  - - org.apache.poi.ss.usermodel.Row.MissingCellPolicy

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Row.MissingCellPolicy>
  Enclosing interface:
    Row

      public static enum Row.MissingCellPolicy
      extends java.lang.Enum<Row.MissingCellPolicy>

  Used to specify the different possible policies if for the case of null and blank cells

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CREATE_NULL_AS_BLANK`
    `RETURN_BLANK_AS_NULL`
    `RETURN_NULL_AND_BLANK`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Row.MissingCellPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Row.MissingCellPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### RETURN_NULL_AND_BLANK

          public static final Row.MissingCellPolicy RETURN_NULL_AND_BLANK

    - #### RETURN_BLANK_AS_NULL

          public static final Row.MissingCellPolicy RETURN_BLANK_AS_NULL

    - #### CREATE_NULL_AS_BLANK

          public static final Row.MissingCellPolicy CREATE_NULL_AS_BLANK

  - ### Method Detail

    - #### values

          public static Row.MissingCellPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Row.MissingCellPolicy c : Row.MissingCellPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Row.MissingCellPolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.